--conversion table from readable names to blueprint id for each faction. This makes the pattern templates easier to read, and means I don't have to worry about factional variations in the IDs

BuildingTemplates =
{
	# UEF Building List
	UEF = {	
		# Power Structures
		T1EnergyProduction = 'ueb1101',
        T1HydroCarbon = 'ueb1102',
        T2EnergyProduction = 'ueb1201',
        T3EnergyProduction = 'ueb1301',

        # Mass Structures
        T1Resource = 'ueb1103',
        T1MassCreation = 'ueb1104',
        T2Resource = 'ueb1202',
        T3Resource = 'ueb1302',
        T3MassCreation = 'ueb1303',
        T3MassExtraction = 'ueb1302',

        # Land Factory Structures
        T1LandFactory = 'ueb0101',
        T2LandFactory = 'ueb0201',
        T3LandFactory = 'ueb0301',
        T3QuantumGate = 'ueb0304',


        # Air Factory Structures
        T1AirFactory = 'ueb0102',
        T2AirFactory = 'ueb0202',
        T3AirFactory = 'ueb0302',

        # Sea Factory Structures
        T1SeaFactory = 'ueb0103',
        T2SeaFactory = 'ueb0203',
        T3SeaFactory = 'ueb0303',

        # Storage Structures
        MassStorage = 'ueb1106',
        EnergyStorage = 'ueb1105',

        # Defense Structures
        # -Wall
        Wall = 'ueb5101',
        # -Ground Defense
        T1GroundDefense = 'ueb2101',
        T2GroundDefense = 'ueb2301',
        # -Air Defense
        T1AADefense = 'ueb2104',
        T2AADefense = 'ueb2204',
        T3AADefense = 'ueb2304',
		# -Naval Defense
        T1NavalDefense = 'ueb2109',
        T2NavalDefense = 'ueb2205',
        # -Shield Defense
        T2ShieldDefense = 'ueb4202',
        T3ShieldDefense = 'ueb4301',
        # -Missile Defense
        T2MissileDefense = 'ueb4201',
		
        # Intelligence Strucutres
        T1Radar = 'ueb3101',
        T2Radar = 'ueb3201',
        T3Radar = 'ueb3104',
        T2RadarJammer = 'ueb4203',
        T1Sonar = 'ueb3102',
        T2Sonar = 'ueb3202',
        T3Sonar = 'ues0305',

        # Artillery Structures
        T2Artillery = 'ueb2303',
        T3Artillery = 'ueb2302',

        # Strategic Missile Structures
        T2StrategicMissile = 'ueb2108',
        T3StrategicMissile = 'ueb2305',
        T3StrategicMissileDefense = 'ueb4302',

        # Misc Structures
		T2AirStagingPlatform = 'ueb5202',
		
        #Experimental Structures
        T4LandExperimental1 = 'uel0401',
        T4LandExperimental2 = 'ueb2401',
        T4AirExperimental1 = 'uel0401',
        T4SeaExperimental1 = 'ues0401',

    },

    # Aeon Building List
    AEON = {
        # Power Structures
        T1EnergyProduction = 'uab1101',
        T1HydroCarbon = 'uab1102',
        T2EnergyProduction = 'uab1201',
        T3EnergyProduction = 'uab1301',

        # Mass Structures
        T1Resource = 'uab1103',
        T1MassCreation = 'uab1104',
        T2Resource = 'uab1202',
        T3Resource = 'uab1302',
        T3MassCreation = 'uab1303',
        T3MassExtraction = 'uab1302',

        # Land Factory Structures
        T1LandFactory = 'uab0101',
        T2LandFactory = 'uab0201',
        T3LandFactory = 'uab0301',
        T3QuantumGate = 'uab0304',

        # Air Factory Structures
        T1AirFactory = 'uab0102',
        T2AirFactory = 'uab0202',
        T3AirFactory = 'uab0302',

        # Sea Factory Structures
        T1SeaFactory = 'uab0103',
        T2SeaFactory = 'uab0203',
        T3SeaFactory = 'uab0303',

        # Storage Structures
        MassStorage = 'uab1106',
        EnergyStorage = 'uab1105',

        # Defense Structures
        # -Wall
        Wall = 'uab5101',
        # -Ground Defense
        T1GroundDefense = 'uab2101',
        T2GroundDefense = 'uab2301',
        # -Naval Defense
        T1NavalDefense = 'uab2109',
        T2NavalDefense = 'uab2205',
        # -Air Defense
        T1AADefense = 'uab2104',
        T2AADefense = 'uab2204',
        T3AADefense = 'uab2304',
        # -Shield Defense
        T2ShieldDefense = 'uab4202',
        T3ShieldDefense = 'uab4301',
        # -Missile Defense
        T2MissileDefense = 'uab4201',

        # Intelligence Strucutres
        T1Radar = 'uab3101',
        T2Radar = 'uab3201',
        T3Radar = 'uab3104',
        T2RadarJammer = 'uab4203',
        T1Sonar = 'uab3102',
        T2Sonar = 'uab3202',
        T3Sonar = 'uas0305',

        # Artillery Structures
        T2Artillery = 'uab2303',
        T3Artillery = 'uab2302',

        # Strategic Missile Structures
        T2StrategicMissile = 'uab2108',
        T3StrategicMissile = 'uab2305',
        T3StrategicMissileDefense = 'uab4302',

        # Misc Structures
        T2AirStagingPlatform = 'uab5202',
        #Experimental Structures
        T4LandExperimental1 = 'ual0401',
        T4LandExperimental2 = 'ual0401',
        T4AirExperimental1 = 'uaa0310',
        T4SeaExperimental1 = 'uas0401',

    },

    # Cybran Building List
    CYBRAN = {
        # Power Structures
        T1EnergyProduction = 'urb1101',
        T1HydroCarbon = 'urb1102',
        T2EnergyProduction = 'urb1201',
        T3EnergyProduction = 'urb1301',

        # Mass Structures
        T1Resource = 'urb1103',
        T1MassCreation = 'urb1104',
        T2Resource = 'urb1202',
        T3Resource = 'urb1302',
        T3MassCreation = 'urb1303',
        T3MassExtraction = 'uab1302',

        # Land Factory Structures
        T1LandFactory = 'urb0101',
        T2LandFactory = 'urb0201',
        T3LandFactory = 'urb0301',
        T3QuantumGate = 'urb0304',

        # Air Factory Structures
        T1AirFactory = 'urb0102',
        T2AirFactory = 'urb0202',
        T3AirFactory = 'urb0302',

        # Sea Factory Structures
        T1SeaFactory = 'urb0103',
        T2SeaFactory = 'urb0203',
        T3SeaFactory = 'urb0303',

        # Storage Structures
        MassStorage = 'urb1106',
        EnergyStorage = 'urb1105',

        # Defense Structures
        # -Wall
        Wall = 'urb5101',
        # -Ground Defense
        T1GroundDefense = 'urb2101',
        T2GroundDefense = 'urb2301',
        # -Naval Defense
        T1NavalDefense = 'urb2109',
        T2NavalDefense = 'urb2205',
        # -Air Defense
        T1AADefense = 'urb2104',
        T2AADefense = 'urb2204',
        T3AADefense = 'urb2304',
        # -Shield Defense
        T2ShieldDefense = 'urb4202',
        T3ShieldDefense = 'urb4202',
        # -Missile Defense
        T2MissileDefense = 'urb4201',

        # Intelligence Strucutres
        T1Radar = 'urb3101',
        T2Radar = 'urb3201',
        T3Radar = 'urb3104',
        T2RadarJammer = 'urb4203',
        T1Sonar = 'urb3102',
        T2Sonar = 'urb3202',
        T3Sonar = 'urs0305',

        # Artillery Structures
        T2Artillery = 'urb2303',
        T3Artillery = 'urb2302',

        # Strategic Missile Structures
        T2StrategicMissile = 'urb2108',
        T3StrategicMissile = 'urb2305',
        T3StrategicMissileDefense = 'urb4302',

        # Misc Structures
        T2AirStagingPlatform = 'urb5202',
        #Experimental Structures
        T4LandExperimental1 = 'url0402',
        T4LandExperimental2 = 'url0401',
        T4AirExperimental1 = 'ura0401',
        T4SeaExperimental1 = 'urb0101',
    },
}